Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

Get Activity

GET
/observability/v1/activities/{id}
curl --request GET \
--url https://example.com/observability/v1/activities/example

Returns a single activity record by its unique ID.

id
required
string

The unique identifier of the activity to retrieve.

OK

Media type application/json

ActivityRecord

A read-only audit projection of a single platform activity. Each record is derived from the operation that produced it; it is addressed by its own id (and its source operation id), and carries no engine axis.

object
id

The unique identifier of the activity record.

stringOutput only
source_operation_id

The identifier of the operation that produced this activity.

stringOutput only
principal_id

The individual — a person or a robot — who performed or triggered the activity. Empty for system-driven activity that no principal initiated.

stringOutput only
resource_type

The type of resource the activity acted upon.

stringOutput only
action

The action performed.

stringOutput only
scope_type

The category of scope the activity ran in or was triggered from. OBSERVABILITY_SCOPE_TYPE_UNSPECIFIED when the activity is not scoped.

string format: enum Output only
Allowed values: OBSERVABILITY_SCOPE_TYPE_UNSPECIFIED OBSERVABILITY_SCOPE_TYPE_PLATFORM OBSERVABILITY_SCOPE_TYPE_ORGANISATION OBSERVABILITY_SCOPE_TYPE_WORKSPACE OBSERVABILITY_SCOPE_TYPE_GROUP
scope_id

The resource id of that scope — for example, when scope_type is OBSERVABILITY_SCOPE_TYPE_WORKSPACE this is the workspace id. Empty for OBSERVABILITY_SCOPE_TYPE_PLATFORM or when the activity is not scoped.

stringOutput only
trace_id

The distributed trace identifier correlating this activity.

stringOutput only
occur_time

When the activity occurred.

string format: date-time Output only
payload

The opaque JSON audit snapshot captured for this activity.

stringOutput only
create_time

When the record was created.

string format: date-time Output only
Example
{
"scope_type": "OBSERVABILITY_SCOPE_TYPE_UNSPECIFIED"
}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}